Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class ExtensionFunction

    java.lang.Object
      org.apache.commons.jxpath.ri.compiler.Expression
          org.apache.commons.jxpath.ri.compiler.Operation
              org.apache.commons.jxpath.ri.compiler.ExtensionFunction

    public class ExtensionFunction

extends Operation

Represents an element of the parse tree representing an extension function call.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`args`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`ExtensionFunction(QName functionName, Expression[] args)` Create a new ExtensionFunction.

Method Summary
`Object` | `compute(EvalContext context)` Evaluates the expression.
`boolean` | `computeContextDependent()` An extension function gets the current context, therefore it MAY be context dependent.
`Object` | `computeValue(EvalContext context)` Evaluates the expression.
`QName` | `getFunctionName()` Get the function name
`String` | `toString()`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Operation
`getArguments`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`isContextDependent, iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionFunction

    public ExtensionFunction(QName functionName,
                             Expression[] args)

  Create a new ExtensionFunction.

  Parameters:
    `functionName` - name of the function
    `args` - Expression[] of function args

Method Detail

### getFunctionName

    public QName getFunctionName()

  Get the function name

  Returns:
    QName

### computeContextDependent

    public boolean computeContextDependent()

  An extension function gets the current context, therefore it MAY be context dependent.

  Overrides:
    `computeContextDependent` in class `Operation`
  Returns:
    true

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compute

    public Object compute(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.

  Specified by:
    `compute` in class `Expression`
  Parameters:
    `context` - evaluation context
  Returns:
    Object

### computeValue

    public Object computeValue(EvalContext context)

  Description copied from class: `Expression`
  Evaluates the expression. If the result is a node set, returns the first element of the node set.

  Specified by:
    `computeValue` in class `Expression`
  Parameters:
    `context` - evaluation context
  Returns:
    Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.